package com.qmth.teachcloud.mark.bean.answercard;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;

import java.util.List;

@JsonIgnoreProperties(ignoreUnknown = true)
public class FillArea {

    private String field;

    private int index;

    private boolean single;

    private boolean horizontal;

    private List<FillItem> items;

    public String getField() {
        return field;
    }

    public void setField(String field) {
        this.field = field;
    }

    public int getIndex() {
        return index;
    }

    public void setIndex(int index) {
        this.index = index;
    }

    public boolean isSingle() {
        return single;
    }

    public void setSingle(boolean single) {
        this.single = single;
    }

    public boolean isHorizontal() {
        return horizontal;
    }

    public void setHorizontal(boolean horizontal) {
        this.horizontal = horizontal;
    }

    public List<FillItem> getItems() {
        return items;
    }

    public void setItems(List<FillItem> items) {
        this.items = items;
    }
}
